Bug 1133979 - yum/dnf --quiet option not working for check-update command
yum/dnf --quiet option not working for check-update command
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Valentina Mukhamedzhanova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-26 10:57 EDT by Dena
Modified: 2015-08-10 22:08 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-1.0.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 22:08:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dena 2014-08-26 10:57:46 EDT
Description of problem:
The man page for yum lists the --quiet option to disable output, but the option does not fully work when used with the check-update command

Version-Release number of selected component (if applicable):
3.4.3-152

How reproducible:
100%

Steps to Reproduce:
1. yum --quiet check-update

Actual results:
outputs a list of packages to be updated

Expected results:
there should be no output

Additional info:
The --quiet option is disabling some of the output -- it prevents the "Loaded plugins" from being listed, but does not prevent the list of packages to be updated from being listed. A script may only be interested in the exit status, so check-update should respect the --quiet option by disabling output.
Comment 1 Fedora End Of Life 2015-05-29 08:44:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Dena 2015-06-28 09:24:31 EDT
This issue also exists in dnf and Fedora 22.
Comment 3 Honza Silhan 2015-06-29 08:35:46 EDT
According to "man yum" you're right - it should not print output at all.
"Run without  output.   Note  that  you likely also want to use -y."

I don't know how the option was originally designed but it makes sense to me to behave as it is. You basically use this option from scripts for parsing the plain output. The real semantic is: "In combination with non-interactive command (list, info, repoquery, ...) it shows just relevant content. It suppress messages notifying about current state or actions of DNF." I am considering this as a feature not a bug. What would be the benefit of using -q instead of `1>/dev/null`

In PR [1] documentation of DNF --quiet was extended.

[1] https://github.com/rpm-software-management/dnf/pull/302
Comment 4 Fedora Update System 2015-07-22 04:25:29 EDT
dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22
Comment 5 Fedora Update System 2015-07-31 22:28:37 EDT
Package dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-1.0.2-3.fc22 hawkey-0.5.9-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12577/dnf-1.0.2-3.fc22,hawkey-0.5.9-3.fc22
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-08-10 22:08:34 EDT
dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.